<?php
/*

Copyright (c)2002-2003 DuckCorp(tm) and RtpNet(tm)



This file is part of LMS.

LMS is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

LMS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with LMS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	$devel=false;
	$version="0.4.0";

	if ($devel)
	{
		$version.="+ devel";
		include("/etc/lms-dev/main.php");
	}
	else
	{
		error_reporting(0);
		include("/etc/lms/main.php");
	}

	session_name("LMS/A-WI");
	session_start();
	if (!session_is_registered("session"))
	{
		//print("Session initilisation<br>");

		if(!session_register("session"))
		{
			include("header.php");
			print("<H1>!!! Session management is Broken !!!</H1>");
			include("footer.html");
		}

		session_register("phase", "pos", "sortuserbyuid", "sortgroupbygid", "auth_user", "auth_passwd");

		$pos=$config[base];
		$sortuserbyuid=false;
		$sortgroupbygid=false;

		$com=0;
		$phase=0;

		include("header.php");
		include("auth.php");
		include("footer.html");
		exit();
	}
	elseif (!$auth_user)
	{
		$auth_user = $lms_auth_user;
		$auth_passwd = $lms_auth_passwd;
	}
	//print("user : ".$auth_user."<br>passwd : ".$auth_passwd);
	
	if ($com==4)
	{
		session_unset();
		if (session_destroy())
		{
			header("Location: ".$config[exiturl]);
		}
		else
		{
			include("header.php");
			print("<H1>!!! Cannot destroy session !!!</H1>");
			include("footer.html");
		}
		exit();
	}

	if ($loc)
	{
		$pos=$loc;
	}
	else
	{
		if (!$com)
		{
			$pos=$config[base];
		}
	}

	include("header.php");

	include("connect.php");
	if (!$connection)
	{
		$auth_user="";
		$auth_passwd="";
		include("disconnect.php");
		include("auth.php");
		include("footer.html");
		exit();
	}
	include("functions.php");
	include("grabinfo.php");

	include("menu.html");
	include("bar.php");

	if ($com==0)
	{
		print("<TABLE class=usual><TR><TH>Container List</TH><TH>Object List in Current Container</TH></TR><TR><TD>");
		include("containers.php");
		print("</TD><TD>");
		include("objects.php");
		print("</TD></TR></TABLE>");
		print("<HR>");
	}
	
	switch($com)
	{
	case 0:
		// View
		$phase=0;
	case 1:
		// Modify
	case 2:
		// Delete
	case 3:
		// Add
		//
		if (!$phase)
			include("visu.php");
		else
			include("manage.php");
		break;
	case 5:
		include("userlist.php");
		break;
	case 6:
		include("unixgrouplist.php");
		break;
	case 7:
		include("spc_commands.php");
		break;
	}

	include("footer.html");
	include("disconnect.php");
?>
